<?php

namespace App\Http\Controllers;

use App\Winner;
use Illuminate\Support\Facades\DB;

class ReportController extends Controller
{
    public function index()
    {
        try {
            $data = Winner::select([DB::raw('COUNT(1) as winners'), 'city', 'insert_date', 'gift'])
                ->groupBy('city', 'insert_date', 'gift')
                ->orderBy('insert_date')
                ->orderBy('gift')
                ->get();

            $dates = $data->unique('insert_date')->sortBy('insert_date');
            $cities = $data->unique('city');
            $gifts = $data->unique('gift');

            // return [
            //     'data' => $data,
            //     'dates' => $dates,
            //     'cities' => $cities,
            //     'gifts' => $gifts
            // ];

            return view('vendor.voyager.winners.reports', [
                'data' => $data,
                'dates' => $dates,
                'cities' => $cities,
                'gifts' => $gifts
            ]);
        } catch (\Exception $e) {
            return response()->json([
                'status' => 'error',
                'message' => $e->getMessage(),
            ]);
        }
    }
}
